oceMagic {oce} | R Documentation

## Find the Type of an Oceanographic Data File

### Description

`oceMagic` tries to infer the file type, based on the data within the file, the file name, or a combination of the two.

### Usage

    oceMagic(file, debug = getOption("oceDebug"))

### Arguments

`file` | a connection or a character string giving the name of the file to be checked.
`debug` | an integer, set non-zero to turn on debugging. Higher values indicate more debugging.

### Details

`oceMagic` was previously called `oce.magic`, but that alias will be removed towards the end of the year 2016; see oce-deprecated.

### Value

A character string indicating the file type, or `"unknown"`, if the type cannot be determined. If the result contains `"/"` characters, these separate a list describing the file type, with the first element being the general type, the second element being the manufacturer, and the third element being the manufacturer's name for the instrument. For example, `"adp/nortek/aquadopp"` indicates a acoustic-doppler profiler made by NorTek, of the model type called AquaDopp.

### Author(s)

Dan Kelley

### See Also

This is used mainly by `read.oce`.

[Package oce version 0.9-22 Index]